Last Comment Bug 804302 - Set em:minVersion to actually supported versions
: Set em:minVersion to actually supported versions
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 1.9
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 12:59 PDT by Stefan Sitter
Modified: 2012-10-28 06:03 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (1.66 KB, patch)
2012-10-22 12:59 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-10-22 12:59:35 PDT
Created attachment 673977 [details] [diff] [review]
fix

In Lightning 1.9 the API for cached calendars was changed in such a way that it breaks compatibility with previous releases. Updated calendar providers will break if used with an older version like Lightning 1.8.

Provider for Google Calendar extension claims to be compatible with Lightning 1.1 and Thunderbird 8. This is wrong. It requires at least Lightning 1.9 and therefore Thunderbird 17 to work correctly.

The attached patch raised the em:minVersion to the actually supported versions.
Comment 1 Stefan Sitter 2012-10-24 23:31:54 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/d06d3a6e01fe
Comment 2 Stefan Sitter 2012-10-28 06:01:14 PDT
Pushed to https://hg.mozilla.org/releases/comm-aurora/rev/af358fd96e48
Comment 3 Stefan Sitter 2012-10-28 06:03:09 PDT
Pushed to https://hg.mozilla.org/releases/comm-beta/rev/311cd01f7a7e

Note You need to log in before you can comment on or make changes to this bug.